org.eclipse.emf.compare

## Interface AttributeChange

All Superinterfaces:
  Diff, EObject, Notifier

All Known Implementing Classes:
  AttributeChangeImpl, AttributeChangeSpec

    public interface AttributeChange
    extends Diff

A representation of the model object 'Attribute Change'. This particular kind of difference will be used to describe changes within an attribute, whether the feature is multi-valued or not.

The following features are supported:

- `Attribute`
- `Value`

See Also:
  `ComparePackage.getAttributeChange()`
Generated:

### Field Summary

Fields
`static String` `copyright`

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getAttribute()` Returns the value of the 'Attribute' reference
`Object` `getValue()` Returns the value of the 'Value' attribute
`void` `setAttribute(EAttribute value)` Sets the value of the '`Attribute`' reference
`void` `setValue(Object value)` Sets the value of the '`Value`' attribute

### Methods inherited from interface org.eclipse.emf.compare.Diff

`copyLeftToRight, copyRightToLeft, discard, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### getAttribute

    EAttribute getAttribute()

Returns the value of the 'Attribute' reference. The attribute in which "something" changed.

Returns:
  the value of the 'Attribute' reference.
See Also:
  `setAttribute(EAttribute)`, `ComparePackage.getAttributeChange_Attribute()`
Generated:

#### setAttribute

    void setAttribute(EAttribute value)

Sets the value of the '`Attribute`' reference.

Parameters:
  `value` - the new value of the 'Attribute' reference.
See Also:
  `getAttribute()`
Generated:

#### getValue

    Object getValue()

Returns the value of the 'Value' attribute. References the actual value on which a difference has been detected.

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(Object)`, `ComparePackage.getAttributeChange_Value()`
Generated:

#### setValue

    void setValue(Object value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`
Generated: